GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::solver::DirectNetworkSolver::RHSManager Struct Reference

## Public Member Functions
| RHSManager (DynamicEngine &engine, const double T9, const double rho)
| Constructor for the RHSFunctor.
void | operator() (const boost::numeric::ublas::vector< double > &Y, boost::numeric::ublas::vector< double > &dYdt, double t) const
| Calculates the time derivatives of the species abundances.
void | observe (const boost::numeric::ublas::vector< double > &state, double t) const
void | compute_and_cache (const boost::numeric::ublas::vector< double > &state, double t) const

## Public Attributes
DynamicEngine & | m_engine
| The engine used to evaluate the network.
const double | m_T9
| Temperature in units of 10^9 K.
const double | m_rho
| Density in g/cm^3.
double | m_cached_time
std::optional< StepDerivatives< double > > | m_cached_result
double | m_last_observed_time = 0.0
| Last time the state was observed.
quill::Logger * | m_logger = LogManager::getInstance().newFileLogger("integration.log", "GridFire")
| Logger instance.
int | m_num_steps = 0
double | m_last_step_time = 1e-20

## Detailed Description

Definition at line 88 of file solver.h.

## Constructor & Destructor Documentation

## ◆ RHSManager()

gridfire::solver::DirectNetworkSolver::RHSManager::RHSManager | ( | DynamicEngine & | engine,
|  | const double | T9,
|  | const double | rho )
| inline

Constructor for the RHSFunctor.

Parameters

  engine | The engine used to evaluate the network.
  T9 | Temperature in units of 10^9 K.
  rho | Density in g/cm^3.

Definition at line 109 of file solver.h.

## Member Function Documentation

## ◆ compute_and_cache()

void gridfire::solver::DirectNetworkSolver::RHSManager::compute_and_cache | ( | const boost::numeric::ublas::vector< double > & | state,
|  | double | t ) const

Definition at line 189 of file solver.cpp.

## ◆ observe()

void gridfire::solver::DirectNetworkSolver::RHSManager::observe | ( | const boost::numeric::ublas::vector< double > & | state,
|  | double | t ) const

Definition at line 167 of file solver.cpp.

## ◆ operator()()

void gridfire::solver::DirectNetworkSolver::RHSManager::operator() | ( | const boost::numeric::ublas::vector< double > & | Y,
|  | boost::numeric::ublas::vector< double > & | dYdt,
|  | double | t ) const

Calculates the time derivatives of the species abundances.

Parameters

  Y | Vector of current abundances.
  dYdt | Vector to store the time derivatives.
  t | Current time.

Definition at line 152 of file solver.cpp.

## Member Data Documentation

## ◆ m_cached_result

std::optional<StepDerivatives<double> > gridfire::solver::DirectNetworkSolver::RHSManager::m_cached_result
| mutable

Definition at line 94 of file solver.h.

## ◆ m_cached_time

double gridfire::solver::DirectNetworkSolver::RHSManager::m_cached_time
| mutable

Definition at line 93 of file solver.h.

## ◆ m_engine

DynamicEngine& gridfire::solver::DirectNetworkSolver::RHSManager::m_engine

The engine used to evaluate the network.

Definition at line 89 of file solver.h.

## ◆ m_last_observed_time

double gridfire::solver::DirectNetworkSolver::RHSManager::m_last_observed_time = 0.0
| mutable

Last time the state was observed.

Definition at line 96 of file solver.h.

## ◆ m_last_step_time

double gridfire::solver::DirectNetworkSolver::RHSManager::m_last_step_time = 1e-20
| mutable

Definition at line 101 of file solver.h.

## ◆ m_logger

quill::Logger* gridfire::solver::DirectNetworkSolver::RHSManager::m_logger = LogManager::getInstance().newFileLogger("integration.log", "GridFire")

Logger instance.

Definition at line 99 of file solver.h.

## ◆ m_num_steps

int gridfire::solver::DirectNetworkSolver::RHSManager::m_num_steps = 0
| mutable

Definition at line 100 of file solver.h.

## ◆ m_rho

const double gridfire::solver::DirectNetworkSolver::RHSManager::m_rho

Density in g/cm^3.

Definition at line 91 of file solver.h.

## ◆ m_T9

const double gridfire::solver::DirectNetworkSolver::RHSManager::m_T9

Temperature in units of 10^9 K.

Definition at line 90 of file solver.h.

The documentation for this struct was generated from the following files:

- src/include/gridfire/solver/solver.h
- src/lib/solver/solver.cpp